<!DOCTYPE html>
<html lang="de">
<head>
    <title>Bestellung aufgeben</title>
</head>
<body>
    <h1>Bestellung aufgeben</h1>
    <form id="userForm">
        <label for="toEmailAddresses">Ihre Email-Adresse:</label>
        <input type="text" id="toEmailAddresses" name="toEmailAddresses" required 
			cam-variable-name="toEmailAddresses"
			cam-variable-type="String">
        <br><br>

        <label for="produkt">Zu bestellendes Produkt:</label>
        <input type="text" id="product" name="product" required 
        cam-variable-name="product"
        cam-variable-type="String">
        <br><br>

        <label for="fromEmailAddress">Firmen-Emailadresse (wäre natürlich normalerweise gesetzt):</label>
        <input type="text" id="fromEmailAddress" name="fromEmailAddress" required 
        cam-variable-name="fromEmailAddress"
        cam-variable-type="String">
        <br><br>

		<input type="submit" value="Bestellung absenden">
    </form>

    <script>
		let urlProcessEngine = "http://localhost:8080/engine-rest/process-definition/key/BestellungAusloesen/start";
        document.getElementById('userForm').addEventListener('submit', function (e) {
            e.preventDefault();
            
            // Daten aus dem Formular erfassen
            var fromEmailAddress = document.getElementById('fromEmailAddress').value;
            var toEmailAddresses = document.getElementById('toEmailAddresses').value;
            var product = document.getElementById('product').value;
            
            // JSON-Objekt erstellen
            var formData = {
				"variables" : {
					"toEmailAddresses": {"value" : toEmailAddresses, "type": "String"},
                    "fromEmailAddress": {"value" : fromEmailAddress, "type": "String"},
                    "product": {"value" : product, "type": "String"},
				}
            };

            // Formulardaten an die Server-URL senden (hier als Beispiel eine Dummy-URL)
            // Ersetzen Sie die Dummy-URL durch die tatsächliche URL Ihrer Prozess-Engine
            fetch(urlProcessEngine, {
                method: 'POST',
                body: JSON.stringify(formData),
                headers: {
                    'Content-Type': 'application/json'
                }
            })
            .then(function(response) {
                if (!response.ok) {
                    throw new Error('HTTP error, Status: ' + response.status);
                }
                return response.json();
            })
            .then(function(data) {
                // Hier können Sie die Antwort von der Prozess-Engine verarbeiten
                console.log('Antwort von der Prozess-Engine:', data);
                alert('Daten erfolgreich an die Prozess-Engine gesendet!');
            })
            .catch(function(error) {
                console.error('Fehler beim Senden der Daten:', error);
                alert('Fehler beim Senden der Daten an die Prozess-Engine.');
            });
        });
    </script>
</body>
</html>
